Subject: [nfsv4] Fwd: New Version Notification for draft-bhalevy-nfs-obj-00.txt

From: Benny Halevy <[email-masked]>
Date: Fri, 31 Aug 2012 16:17:58 +0300

Folks,

I've submitted a proposed extension to the pnfs objects layout
that introduces the use of NFS filers as object storage data servers.

The following features are proposed as well:
* OSD Multi-path: The OSD address may provide an array of network addresses (ooa_netaddrs).
* I/O Statistics: The client may report I/O stats on LAYOUTRETURN

The motivation for adding support for NFS comes from:
1. The desire to use an ubiquitous, standard protocol to access the data servers.
The T10 OSD protocol, although standard, lacks wide adoption, while NFS and in particular
NFSv3 is very popular and widely available.

2. Encourage best-of-breed solution.
In contrast to the files layout, the object layout does not require a proprietary
back-end protocol, hence the proposed layout allows one to mix and match a metadata
server and data servers from different vendors.
A simple security control method is proposed to achieve that:
The metadata server controls the file ownership and permissions of the objects
stored on data servers and the client is handed a corresponding RPC credential
on LAYOUTGET a-la OSD capabilities.  Outstanding credentials are unilaterally
revoked by the MDS by modifying the objects user or group owner.

Benny

-------- Original Message --------
Subject: New Version Notification for draft-bhalevy-nfs-obj-00.txt
Date: Fri, 31 Aug 2012 05:52:12 -0700
From: [email-masked]
To: [email-masked]

A new version of I-D, draft-bhalevy-nfs-obj-00.txt
has been successfully submitted by Benny Halevy and posted to the
IETF repository.

Filename:	 draft-bhalevy-nfs-obj
Revision:	 00
Title:		 Object-Based Parallel NFS (pNFS) Operations - Version 2
Creation date:	 2012-08-31
WG ID:		 Individual Submission
Number of pages: 42
URL:             http://www.ietf.org/internet-drafts/draft-bhalevy-nfs-obj-00.txt
Status:          http://datatracker.ietf.org/doc/draft-bhalevy-nfs-obj
Htmlized:        http://tools.ietf.org/html/draft-bhalevy-nfs-obj-00

Abstract:
   Parallel NFS (pNFS) extends Network File System version 4 (NFSv4) to
   allow clients to directly access file data on the storage used by the
   NFSv4 server.  This ability to bypass the server for data access can
   increase both performance and parallelism, but requires additional
   client functionality for data access, some of which is dependent on
   the class of storage used, a.k.a. the Layout Type.  The main pNFS
   operations and data types in NFSv4 Minor version 1 specify a layout-
   type-independent layer; layout-type-specific information is conveyed
   using opaque data structures whose internal structure is further
   defined by the particular layout type specification.  This document
   specifies the NFSv4.1 Object-Based pNFS Layout Type as a companion to
   the main NFSv4 Minor version 1 specification.  Version 2 of this
   layout type introduces the use of the Network File System protocol as
   an object-storage protocol in addition to the T-10 OSD protocol.

The IETF Secretariat